summaryrefslogtreecommitdiff
path: root/sys-power
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /sys-power
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'sys-power')
-rw-r--r--sys-power/cpufrequtils/cpufrequtils-005.ebuild41
-rw-r--r--sys-power/hibernate-script/hibernate-script-1.99.ebuild69
2 files changed, 110 insertions, 0 deletions
diff --git a/sys-power/cpufrequtils/cpufrequtils-005.ebuild b/sys-power/cpufrequtils/cpufrequtils-005.ebuild
new file mode 100644
index 0000000..1f938fc
--- /dev/null
+++ b/sys-power/cpufrequtils/cpufrequtils-005.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-power/cpufrequtils/cpufrequtils-002-r4.ebuild,v 1.1 2008/08/11 17:46:53 armin76 Exp $
+
+inherit eutils toolchain-funcs multilib
+
+DESCRIPTION="Userspace utilities for the Linux kernel cpufreq subsystem"
+HOMEPAGE="http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html"
+SRC_URI="mirror://kernel/linux/utils/kernel/cpufreq/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc x86"
+IUSE="debug nls"
+
+DEPEND="sys-fs/sysfsutils"
+
+src_compile() {
+ local debug=false nls=false
+
+ use debug && debug=true
+ use nls && nls=true
+
+ emake V=true DEBUG=${debug} NLS=${nls} \
+ CC=$(tc-getCC) LD=$(tc-getCC) AR=$(tc-getAR) STRIP=echo RANLIB=$(tc-getRANLIB) \
+ || die "emake failed"
+}
+
+src_install() {
+ local nls=false
+
+ use nls && nls=true
+
+ make DESTDIR="${D}" NLS=${nls} mandir=/usr/share/man libdir=/usr/$(get_libdir) \
+ install || die "make install failed"
+
+ newconfd "${FILESDIR}"/${PN}-conf.d ${PN}
+ newinitd "${FILESDIR}"/${PN}-init.d ${PN}
+
+ dodoc AUTHORS README
+}
diff --git a/sys-power/hibernate-script/hibernate-script-1.99.ebuild b/sys-power/hibernate-script/hibernate-script-1.99.ebuild
new file mode 100644
index 0000000..a1cc9b6
--- /dev/null
+++ b/sys-power/hibernate-script/hibernate-script-1.99.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+PATCH_VERSION="1"
+
+DESCRIPTION="Hibernate script supporting multiple suspend methods"
+HOMEPAGE="http://www.tuxonice.net/"
+SRC_URI="http://www.tuxonice.net/downloads/all/${P}.tar.gz
+ mirror://gentoo/${PN}-1.98.1-patches-${PATCH_VERSION}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+IUSE="vim-syntax"
+
+DEPEND=""
+RDEPEND="!<media-gfx/splashutils-1.5.2"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ # Our patches
+ epatch "${WORKDIR}"/patches/*.patch
+}
+
+src_install() {
+ BASE_DIR="${D}" \
+ DISTRIBUTION="gentoo" \
+ PREFIX="/usr" \
+ MAN_DIR="${D}/usr/share/man" \
+ "${S}/install.sh" || die "Install failed"
+
+ # hibernate-ram will default to using ram.conf
+ dosym /usr/sbin/hibernate /usr/sbin/hibernate-ram
+
+ newinitd "${S}"/init.d/hibernate-cleanup.sh hibernate-cleanup
+
+ # other ebuilds can install scriplets to this dir
+ keepdir /etc/hibernate/scriptlets.d/
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins hibernate.vim
+ fi
+
+ dodoc CHANGELOG README SCRIPTLET-API hibernate.vim
+
+ insinto /etc/logrotate.d
+ newins "${S}"/logrotate.d-hibernate-script hibernate-script
+}
+
+pkg_postinst() {
+ elog
+ elog "You should run the following command to invalidate suspend"
+ elog "images on a clean boot."
+ elog
+ elog " # rc-update add hibernate-cleanup boot"
+ elog
+ elog "See /usr/share/doc/${PF}/README.* for further details."
+ elog
+ elog "Please note that you will need to manually emerge any utilities"
+ elog "(radeontool, vbetool, ...) enabled in the configuration files,"
+ elog "should you wish to use them."
+}